Depends overkill, how do you weed out the packages



I have a fresh install of Debian Lenny 503 amd64 via a netinst CDROM. I've
only installed a couple of packages like openbox because I want to run as
lean a desktop I can to try out virtualbox-3.0.

I figured openbox would be enough to handle the "GUI" needed for
virtualbox-3.0 but after adding the official repository to my sources list
I get a bunch of KDE and audio hits when trying to install VirtualBox.

This doesn't seem right so I am looking for pointers on how to trim down
this list of what I perceive as excessive bloat. Included is the list of
"stuff" Lenny wants me to install. I've marked some of the things I think I
know what they are which are features I for sure don't want but at the same
time I don't want a busted unusable system by forcibly not installing them.
Any advice or wisdom from those who have gone before me to do battle
against dependencies would be greatly appreciated!




aptitude install virtualbox-3.0
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following NEW packages will be installed:
aspell{a} [no]
aspell-en{a} [no]
binutils{a}
ca-certificates{a} [no]
cpp{a}
cpp-4.1{a}
cpp-4.3{a}
dbus{a}
dbus-x11{a}
dictionaries-common{a} [no]
djvulibre-desktop{a} [no]
fam{a}
gcc{a}
gcc-4.1{a}
gcc-4.1-base{a}
gcc-4.3{a}
ghostscript{a} [no]
gs-common{a}
gsfonts{a}
hal{a}
hal-info{a}
hicolor-icon-theme{a}
htdig{a}
kde-icons-oxygen{a} [no]
kdebase-runtime{a}
kdebase-runtime-bin-kde4{a} [no]
kdebase-runtime-data{a} [no]
kdebase-runtime-data-common{a} [no]
kdelibs-bin{a} [no]
kdelibs5{a} [no]
kdelibs5-data{a} [no]
khelpcenter4{a} [no]
libaa1{a}
libasound2{a}
libaspell15{a} [no]
libasyncns0{a}
libatk1.0-0{a}
libatk1.0-data{a}
libaudio2{a} [no]
libavc1394-0{a} [no]
libavcodec51{a} [no]
libavutil49{a} [no]
libc6-dev{a}
libcaca0{a}
libcap1{a}
libclucene0ldbl{a}
libcroco3{a}
libcucul0{a}
libcups2{a} [no]
libcupsimage2{a} [no]
libcurl3{a}
libdb4.5{a}
libdbus-1-3{a}
libdbus-glib-1-2{a}
libdirectfb-extra{a}
libdjvulibre21{a}
libdrm2{a}
libenchant1c2a{a}
libfaad0{a}
libfam0{a}
libflac8{a} [no]
libfreebob0{a}
libgd2-noxpm{a}
libgif4{a}
libgl1-mesa-glx{a}
libglu1-mesa{a}
libgmp3c2{a} [no]
libgomp1{a}
libgpm2{a}
libgraphviz4{a} [no]
libgs8{a}
libgsf-1-114{a}
libgsf-1-common{a}
libgsm1{a}
libgtk2.0-0{a}
libgtk2.0-bin{a}
libgtk2.0-common{a}
libhal-storage1{a}
libhal1{a}
libhunspell-1.2-0{a} [no]
libidn11{a}
libiec61883-0{a}
libilmbase6{a}
libjack0{a} [no]
libjasper1{a} [no]
libjpeg62{a} [no]
liblcms1{a}
libldap-2.4-2{a} [no]
liblockfile1{a}
libltdl3{a}
liblzo2-2{a}
libmad0{a}
libmagick10{a} [no]
libmalaga7{a}
libmng1{a}
libmodplug0c2{a}
libmpcdec3{a}
libmpfr1ldbl{a}
libmysqlclient15off{a}
libogg0{a}
libokularcore1{a}
libopenexr6{a}
libpaper-utils{a}
libpaper1{a}
libpci3{a}
libphonon4{a}
libpoppler-qt4-3{a}
libpoppler3{a}
libpostproc51{a}
libpq5{a}
libpulse0{a} [no]
libqca2{a}
libqimageblitz4{a}
libqt4-core{a} [no]
libqt4-dbus{a} [no]
libqt4-designer{a} [no]
libqt4-network{a} [no]
libqt4-qt3support{a} [no]
libqt4-script{a} [no]
libqt4-sql{a} [no]
libqt4-sql-mysql{a} [no]
libqt4-svg{a} [no]
libqt4-test{a} [no]
libqt4-xml{a} [no]
libqtcore4{a} [no]
libqtgui4{a} [no]
libraptor1{a}
librasqal0{a}
libraw1394-8{a}
librdf0{a}
librsvg2-2{a}
libsdl-ttf2.0-0{a}
libsdl1.2debian{a}
libsdl1.2debian-alsa{a}
libsmbclient{a} [no]
libsmbios-bin{a}
libsmbios2{a}
libsoprano4{a}
libspectre1{a}
libspeex1{a}
libsplashy1{a}
libsqlite3-0{a} [no]
libssh2-1{a}
libstreamanalyzer0{a}
libstreams0{a}
libstrigiqtdbusclient0{a}
libsvga1{a}
libtalloc1{a}
libtheora0{a}
libtiff4{a}
libvoikko1{a}
libvorbis0a{a} [no]
libvorbisenc2{a} [no]
libwavpack1{a} [no]
libwbclient0{a}
libwmf0.2-7{a}
libx86-1{a}
libxcb-shape0{a}
libxcb-shm0{a}
libxcb-xv0{a}
libxcomposite1{a}
libxcursor1{a}
libxdamage1{a}
libxfixes3{a}
libxi6{a}
libxine1{a} [no]
libxine1-bin{a} [no]
libxine1-console{a} [no]
libxine1-ffmpeg{a} [no]
libxine1-misc-plugins{a} [no]
libxine1-plugins{a} [no]
libxine1-x{a} [no]
libxml2-utils{a} [no]
libxmu6{a}
libxslt1.1{a}
libxt6{a}
libxtst6{a}
libxv1{a}
libxvmc1{a}
libxxf86vm1{a}
linux-headers-2.6-amd64{a}
linux-headers-2.6.26-2-amd64{a}
linux-headers-2.6.26-2-common{a}
linux-kbuild-2.6.26{a}
linux-libc-dev{a}
lockfile-progs{a}
make{a}
mime-support{a}
myspell-en-us{a} [no]
mysql-common{a} [no]
okular{a}
openssl{a}
pciutils{a}
phonon{a}
phonon-backend-xine{a} [no]
pm-utils{a}
pmount{a}
portmap{a} [no]
powermgmt-base{a} [no]
psfontmgr{a}
psmisc{a}
python{a}
python-central{a}
python-minimal{a}
python2.5{a}
python2.5-minimal{a}
qt4-qtconfig{a} [no]
radeontool{a}
raptor-utils{a}
redland-utils{a}
shared-mime-info{a}
svgalibg1{a}
uswsusp{a}
vbetool{a}
virtualbox-3.0
0 packages upgraded, 215 newly installed, 0 to remove and 1 not upgraded.
Need to get 204MB of archives. After unpacking 501MB will be used.
Do you want to continue? [Y/n/?] n
Abort.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx
with a subject of "unsubscribe". Trouble? Contact listmaster@xxxxxxxxxxxxxxxx



Relevant Pages